Skip to main content

Request flow

This example shows the expected high-level flow for a server-to-server integration.

1. Request an access token

Use Azure Entra ID and the Client Credentials flow to request an access token for the SIS API resource.

curl -X POST "https://login.microsoftonline.com/<tenant-id>/oauth2/v2.0/token" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "client_id=<client-id>" \
-d "client_secret=<client-secret>" \
-d "grant_type=client_credentials" \
-d "scope=<api-application-id-uri>/.default"

2. Call an API

Send the returned access token as a bearer token.

curl "https://api.sis.se/api/content/v1/standards" \
-H "Authorization: Bearer <access-token>" \
-H "Accept: application/json"

3. React to events

Use the Content API to retrieve the standards and content available to the calling application. Event notifications will be documented when they become available.